Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[compil] gnome-session ne compile pas (Résolu)
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
lefoid
Apprentice
Apprentice


Joined: 05 Nov 2005
Posts: 232

PostPosted: Thu Feb 19, 2009 7:47 pm    Post subject: [compil] gnome-session ne compile pas (Résolu) Reply with quote

Re bonjour à tous,
c'est une série qui commence à être longue, je sais mais ...
suite à :
Code:
emerge -e world

le paquet gnome-session stoppe la compil comme suit :
Quote:
checking for tcpd.h... yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking whether libgnomeui was built with session management... yes
checking for TCP wrappers... configure: error: "libwrap not found!"

!!! Please attach the following file when seeking support:
!!! /home/portage/portage/gnome-base/gnome-session-2.22.3/work/gnome-session-2.22.3/config.log
*
* ERROR: gnome-base/gnome-session-2.22.3 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 2720: Called gnome2_src_compile
* environment, line 2089: Called gnome2_src_configure
* environment, line 2103: Called econf '--enable-ipv6' '--enable-tcp-wrappers'
* ebuild.sh, line 529: Called die
* The specific snippet of code:
* die "econf failed"
* The die message:
* econf failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/home/portage/portage/gnome-base/gnome-session-2.22.3/temp/build.log'.
* The ebuild environment file is located at '/home/portage/portage/gnome-base/gnome-session-2.22.3/temp/environment'.
*

>>> Failed to emerge gnome-base/gnome-session-2.22.3, Log file:

>>> '/home/portage/portage/gnome-base/gnome-session-2.22.3/temp/build.log'

Voici ce que je trouve :
Code:
 whereis libwrap
libwrap: /lib/libwrap.so /lib64/libwrap.so /usr/lib64/libwrap.so /usr/lib64/libwrap.a

Il me semble que ce n'est pas la première fois que ça arrive.
Je pense qu'un lien symbolique de /usr/lib64/libwrap.a vers /usr/lib/libwrap.a
résoudra le problème.
L'ennui, c'est que j'ai l'impression qu'il me manque une bonne partie de /usr/lib/
(qui je crois est un lien symbolique de /usr/lib64/).
Bref, c'est le bazar, ça me gonfle vraiment et j'ai l'impression que ce souci cause
de gros ennuis de compil à ma ch'tite Gentoo qui se veut stable.
Si quelqu'un sait comment réparer ça de manière définitive, je suis tout ouïe :)
Merci par avance.
_________________
Visi pas nette, pilote à la buvette !


Last edited by lefoid on Fri Feb 20, 2009 10:08 am; edited 1 time in total
Back to top
View user's profile Send private message
kwenspc
Advocate
Advocate


Joined: 21 Sep 2003
Posts: 4954

PostPosted: Thu Feb 19, 2009 7:51 pm    Post subject: Reply with quote

hum et un ptit reemerge de: sys-apps/tcp-wrappers ?
_________________
membre officieux du SAV Ati GEntoo
Back to top
View user's profile Send private message
lefoid
Apprentice
Apprentice


Joined: 05 Nov 2005
Posts: 232

PostPosted: Fri Feb 20, 2009 7:43 am    Post subject: Reply with quote

Salut,
hum, ça y est, on me prend encore pour un lapin de 6 semaines :wink:
Je l'avais déjà fait mais sans résultat. Je viens (au cas où) de le refaire,
avec le même "succès" :?
Bien tenté quand même :wink:
_________________
Visi pas nette, pilote à la buvette !
Back to top
View user's profile Send private message
bouriquo
Guru
Guru


Joined: 29 May 2004
Posts: 304
Location: Collonges (01)

PostPosted: Fri Feb 20, 2009 8:37 am    Post subject: Reply with quote

Hello,

Bah déjà est ce que le fameux link que tu dis résout ton problème, si c'est le cas j'aurais tendance à dire que c'est lié au ebuild pour amd64 puisque en faisant un emerge de tcp-wrapper ça n'a rien changé. Sur ma machine j'ai bien en effet mais je suis pas en amd64

Code:
equery belongs libwrap.so
[ Searching for file(s) libwrap.so in *... ]
sys-apps/tcp-wrappers-7.6-r8 (/usr/lib/libwrap.so)
sys-apps/tcp-wrappers-7.6-r8 (/lib/libwrap.so -> libwrap.so.0)
Back to top
View user's profile Send private message
lefoid
Apprentice
Apprentice


Joined: 05 Nov 2005
Posts: 232

PostPosted: Fri Feb 20, 2009 9:36 am    Post subject: Reply with quote

Salut bouriquo,
Oui, en faisant le lien :
Code:
ln -s /usr/lib64/libwrap.* /usr/lib/

ça fonctionne pour la compil.
Voila ce que j'ai obtenu :
Quote:
equery belongs libwrap.so
[ Searching for file(s) libwrap.so in *... ]
sys-apps/tcp-wrappers-7.6-r8 (/usr/lib64/libwrap.so)
sys-apps/tcp-wrappers-7.6-r8 (/lib64/libwrap.so -> libwrap.so.0)

Je vais mettre un résolu, mais je reste persuadé que j'ai un souci avec
/usr/lib qui est incomplet et m'empêche de compiler un certain nombre
de paquets. On retrouve les libs dans /usr/lib64/ mais pas dans /usr/lib/.
C'est comme si /usr/lib/ n'avait pas été créé à l'installation ou a été
effacé.
Merci beaucoup quand même. Je retente un emerge -e world
et je vous tiens au courant en cas d'erreur.
A bientôt ...
_________________
Visi pas nette, pilote à la buvette !
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum